GDB (xrefs)

Public Attributes | List of all members
user_reg Struct Reference

## Public Attributes
const char * | name
struct value *(* | read )(struct frame_info *frame, const void *baton)
const void * | baton
struct user_reg * | next

## Detailed Description

Definition at line 41 of file user-regs.c.

## Member Data Documentation

## ◆ baton

const void* user_reg::baton

Definition at line 45 of file user-regs.c.

Referenced by append_user_reg().

## ◆ name

const char* user_reg::name

Definition at line 43 of file user-regs.c.

## ◆ next

struct user_reg* user_reg::next

Definition at line 46 of file user-regs.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), and append_user_reg().

## ◆ read

struct value*(* user_reg::read) (struct frame_info *frame, const void *baton)

Definition at line 44 of file user-regs.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/user-regs.c